# Apache module configuration
[Core Apache-related classes and functions]

Collaboration diagram for Apache module configuration:

## Functions
void * | passenger_config_create_dir (apr_pool_t *p, char *dirspec)
| Configuration hook for per-directory configuration structure creation.
void * | passenger_config_merge_dir (apr_pool_t *p, void *basev, void *addv)
| Configuration hook for per-directory configuration structure merging.
void * | passenger_config_create_server (apr_pool_t *p, server_rec *s)
| Configuration hook for per-server configuration structure creation.
void * | passenger_config_merge_server (apr_pool_t *p, void *basev, void *overridesv)
| Configuration hook for per-server configuration structure merging.
## Variables
const command_rec | passenger_commands []
| Apache module commands array.

## Function Documentation

void* passenger_config_create_dir | ( | apr_pool_t * | p,
|  | char * | dirspec |
| ) |  |  |

Configuration hook for per-directory configuration structure creation.

void* passenger_config_create_server | ( | apr_pool_t * | p,
|  | server_rec * | s |
| ) |  |  |

Configuration hook for per-server configuration structure creation.

void* passenger_config_merge_dir | ( | apr_pool_t * | p,
|  | void * | basev,
|  | void * | addv |
| ) |  |  |

Configuration hook for per-directory configuration structure merging.

void* passenger_config_merge_server | ( | apr_pool_t * | p,
|  | void * | basev,
|  | void * | overridesv |
| ) |  |  |

Configuration hook for per-server configuration structure merging.

## Variable Documentation

const command_rec passenger_commands[]

Apache module commands array.